org.apache.cassandra.cql3.statements

## Class RawSelector

- java.lang.Object
- - org.apache.cassandra.cql3.statements.RawSelector

-     public class RawSelector
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ColumnIdentifier` | `alias`
    `Selectable.Raw` | `selectable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawSelector(Selectable.Raw selectable, ColumnIdentifier alias)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### selectable

          public final Selectable.Raw selectable

    - #### alias

          public final ColumnIdentifier alias

  - ### Constructor Detail

    - #### RawSelector

          public RawSelector(Selectable.Raw selectable,
                     ColumnIdentifier alias)

Copyright © 2014 The Apache Software Foundation